import { Dispatch, RefObject, SetStateAction } from 'react';
import { Dependency, DependencyMap, GetDependencyType } from './DependencyMap';
import { Dispatcher } from 'flux';
export declare function useCurrent<ValueType>(value: ValueType): RefObject<ValueType>;
export declare function _useDispatchSubscription<Props, DependencyMapType extends DependencyMap, DependenciesType = {
    [key in keyof DependencyMapType]: GetDependencyType<DependencyMapType[key]>;
}>(dependencyMap: DependencyMapType, currentProps: RefObject<Props>, dispatcher: Dispatcher<any>, dependencyValue: DependenciesType, setDependencyValue: Dispatch<SetStateAction<DependenciesType>>): void;
declare function useStoreDependency<Props, DepType>(dependency: Dependency<DepType>, props?: Props, dispatcher?: Dispatcher<any>): DepType;
export default useStoreDependency;
